/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.admin.ui.action;

import org.wso2.solutions.identity.admin.RelyingPartyAdmin;
import org.wso2.solutions.identity.persistence.dataobject.RelyingPartyDO;

public class RemoveTrustedRelyingPartyAction extends ManagedAction {

    private static final long serialVersionUID = -5236698872850109473L;

    private String hostName;

    public String execute() throws Exception {

        if (hostName != null && hostName.trim().length() > 0) {
            try {
                RelyingPartyAdmin admin = new RelyingPartyAdmin();
                RelyingPartyDO rp = admin.getRelyingParty(hostName);
                admin.deleteRelyingParty(rp);
            } catch (RuntimeException e) {
                this.addErrorMessage(e.getMessage());
                return ERROR;
            }
        } else {
            this.addErrorMessage("remove_rp_hostname_null");
            return ERROR;
        }

        return SUCCESS;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

}
