package org.wso2.solutions.identity.admin.ui.action;

import java.util.List;

import org.wso2.solutions.identity.admin.ReportAdmin;
import org.wso2.solutions.identity.admin.ui.UIConstants;

import com.opensymphony.xwork2.ActionSupport;


/**
 *
 * There are four types of Actions lists
 *  1) Successful Token Requests - keysize, keyType, tokenExpires, tokenCreated
 *  2) Failed Token Requests - failed reason
 *  3) Successful Infocard Requests - expires
 *  4) Failed Infocard Requests
 * 
 */
public class ReportSTSHistoryAction extends ActionSupport {
    
    private List stsActions = null;
    
    private String fromDate = null;
    
    private String toDate = null;
    
    private String details = null;
    
    private String type = null;
    
   
    public String execute() throws Exception {
        
        ReportAdmin admin = new ReportAdmin();
               
        if(UIConstants.REPORT_FAIL_CI.equals(type)){
            details = "Failed Card Issuences";
            stsActions = admin.getFailedCardIssueActions(null, null);
        }else if(UIConstants.REPORT_FAIL_TI.equals(type)){
            details = "Failed Token Issuences";
            stsActions = admin.getFailedTokenIssueActions(null, null);
        }else{
            details = "Unknown Report type";
            return ERROR;
        }
        return SUCCESS;
    }

    public List getStsActions() {
        return stsActions;
    }

    public void setStsActions(List stsActions) {
        this.stsActions = stsActions;
    }

    public String getFromDate() {
        return fromDate;
    }

    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    public String getToDate() {
        return toDate;
    }

    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    public String getDetails() {
        return details;
    }

    public void setDetails(String details) {
        this.details = details;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    
    
    

}
