/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.admin.ui.action;

import org.wso2.solutions.identity.admin.ClaimsAdmin;
import org.wso2.solutions.identity.persistence.dataobject.ClaimDO;

import java.util.Arrays;
import java.util.List;

import com.opensymphony.xwork2.ActionSupport;

public class ShowClaimMappingsAction extends ActionSupport {

    private static final long serialVersionUID = 1218308127926189865L;

    private List supportedClaims;

    public String execute() throws Exception {
        ClaimsAdmin admin = new ClaimsAdmin();
        ClaimDO[] claimDOs = admin.getAllClaims();
        this.supportedClaims = Arrays.asList((ClaimDO[]) claimDOs);

        return SUCCESS;
    }

    public List getSupportedClaims() {
        return supportedClaims;
    }

}
