/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.admin.ui.action;

import org.wso2.solutions.identity.IdentityConstants;
import org.wso2.solutions.identity.admin.ParameterAdmin;
import org.wso2.solutions.identity.admin.ui.UIConstants;

import com.opensymphony.xwork2.ActionSupport;

public class ShowConfigureCardIssuerAction extends ActionSupport {
             
    private static final long serialVersionUID = -8759938015038373880L;
    
    private int validPeriod = 0;
    
    private String cardName = null;
    
    private String tokenTypes = null;
    
    private boolean useSymmBinding;

    public String execute() throws Exception {
        
        ParameterAdmin admin = new ParameterAdmin();
        validPeriod = Integer.parseInt(admin.getParameterValue(IdentityConstants.PARAM_VALID_PERIOD));
        cardName = admin.getParameterValue(IdentityConstants.PARAM_CARD_NAME);
        String types = admin.getParameterValue(IdentityConstants.PARAM_SUPPORTED_TOKEN_TYPES);
        String[] arrTypes = types.split(",");
        
        tokenTypes = null;
        for(int i=0; i<arrTypes.length; i++){
            if(arrTypes[i].equals(IdentityConstants.SAML10_URL)){
                tokenTypes = UIConstants.SAML10;
            } else if(arrTypes[i].equals(IdentityConstants.SAML11_URL)){
                if(tokenTypes == null){
                    tokenTypes = UIConstants.SAML11;
                }else{
                    tokenTypes = tokenTypes + " , "+UIConstants.SAML11;
                }
            }
        }
        
        useSymmBinding = admin.getParameter(IdentityConstants.PARAM_USE_SYMM_BINDING) != null;
        
        return SUCCESS;
    }

    public int getValidPeriod() {
        return validPeriod;
    }

    public void setValidPeriod(int validPeriod) {
        this.validPeriod = validPeriod;
    }

    public String getCardName() {
        return cardName;
    }

    public void setCardName(String cardName) {
        this.cardName = cardName;
    }

    public String getTokenTypes() {
        return tokenTypes;
    }

    public void setTokenTypes(String tokenTypes) {
        this.tokenTypes = tokenTypes;
    }

    public boolean isUseSymmBinding() {
        return useSymmBinding;
    }

    
    
}
