/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.admin.ui.action;

import org.wso2.solutions.identity.persistence.IPPersistenceManager;
import org.wso2.solutions.identity.persistence.dataobject.RealmDO;
import org.wso2.solutions.identity.users.wsas.WSASRealm;
import org.wso2.usermanager.readwrite.DefaultRealm;

import java.util.ArrayList;
import java.util.List;

import com.opensymphony.xwork2.ActionSupport;

public class ShowSelectRealmAction extends ActionSupport {

    private static final long serialVersionUID = -5109703980971216856L;

    private List realms;

    public String execute() throws Exception {
        IPPersistenceManager db = IPPersistenceManager.getPersistanceManager();
        realms = new ArrayList<RealmDO>();
        RealmDO[] realmDOs = db.getAllRealms();
        for (int i = 0; i < realmDOs.length; i++) {
            String className = realmDOs[i].getClassName();
            
            //We can't let others configure the default realm and wsas realm
            if (!className.equals(DefaultRealm.class.getName())
                    && !className.equals(WSASRealm.class.getName())) {
               realms.add(realmDOs[i]); 
            }
        }
        
        return SUCCESS;
    }

    public List getRealms() {
        return realms;
    }

}
