/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.admin.ui.action;

import java.util.Set;

import org.wso2.solutions.identity.persistence.IPPersistenceManager;
import org.wso2.solutions.identity.persistence.dataobject.RealmConfigurationDO;
import org.wso2.usermanager.readwrite.DefaultRealm;

public class ShowUserStoreAction extends ManagedAction {

    private static final long serialVersionUID = 8265273506039256750L;

    private String realmClassName;

    private Set configProperties;

    private String configName;

    private boolean showEditStore = false;
    
    private boolean showStoreProperties = false;

    public String getRealmClassName() {
        return realmClassName;
    }

    public String execute() throws Exception {

        if (this.configName == null) {
            return ERROR;
        }

        IPPersistenceManager db = IPPersistenceManager.getPersistanceManager();
        RealmConfigurationDO config = db.getRealmConfiguration(this.configName);
        realmClassName = config.getRealm().getClassName();
        configProperties = config.getConfigProperties();
        if (configProperties.size() == 0) {
            this.addInfoMessage(getText("no_user_store_config"));
            this.showEditStore = false;
            this.showStoreProperties = false;
        } else if(realmClassName.equals(DefaultRealm.class.getName())){
            this.showEditStore = false;
            this.showStoreProperties = true;
        }else {
            this.showEditStore = true;
            this.showStoreProperties = true;
        }
        this.loadMessages();
        return SUCCESS;
    }

    public Set getConfigProperties() {
        return configProperties;
    }

    public String getConfigName() {
        return configName;
    }

    public void setConfigName(String configName) {
        this.configName = configName;
    }

    public boolean isShowEditStore() {
        return showEditStore;
    }

    public boolean isShowStoreProperties() {
        return showStoreProperties;
    }

    public void setShowStoreProperties(boolean showStoreProperties) {
        this.showStoreProperties = showStoreProperties;
    }

}
