/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.persistence.dataobject;

import java.util.Date;

import org.opensaml.SAMLAssertion;

public class VerifierServiceTokenDO extends AbstractDataObject {

    private String assertionId = null;

    private Date dateIssued = null;

    private Date dateExpires = null;

    private SAMLAssertion token = null;

    private VerifierServiceIdpDO issuedBy = null;

    private VerifierServiceRPDO relyingParty = null;

    public String getAssertionId() {
        return assertionId;
    }

    public Date getDateExpires() {
        return dateExpires;
    }

    public Date getDateIssued() {
        return dateIssued;
    }

    public VerifierServiceIdpDO getIssuedBy() {
        return issuedBy;
    }

    public VerifierServiceRPDO getRelyingParty() {
        return relyingParty;
    }

    public SAMLAssertion getToken() {
        return token;
    }

    public void setToken(SAMLAssertion token) {
        this.token = token;
    }

    public void setAssertionId(String assertionId) {
        this.assertionId = assertionId;
    }

    public void setDateExpires(Date dateExpires) {
        this.dateExpires = dateExpires;
    }

    public void setDateIssued(Date dateIssued) {
        this.dateIssued = dateIssued;
    }

    public void setIssuedBy(VerifierServiceIdpDO issuedBy) {
        this.issuedBy = issuedBy;
    }

    public void setRelyingParty(VerifierServiceRPDO relyingParty) {
        this.relyingParty = relyingParty;
    }

}
