/*
 * Copyright 2004,2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.user.ui.action;

import org.wso2.solutions.identity.admin.ClaimsAdmin;
import org.wso2.solutions.identity.persistence.dataobject.ClaimDO;

import com.opensymphony.xwork2.ActionSupport;

public class InfoCardUserRegisterationAction extends ActionSupport {

    private static final long serialVersionUID = -4357591807843549309L;

    String claimsParamValue;
    
    @Override
    public String execute() throws Exception {
        //Get enabled claims
        ClaimsAdmin ClaimsAdmin = new ClaimsAdmin();
        ClaimDO[] claimDOs = ClaimsAdmin.getAllMappedEnabledClaims();
        
        StringBuffer tmpClaims = new StringBuffer();
        for (int i = 0; i < claimDOs.length; i++) {
            tmpClaims.append(claimDOs[i].getUri() + " ");
        }
        this.claimsParamValue = tmpClaims.toString();
        return SUCCESS;
        
    }

    public String getClaimsParamValue() {
        return claimsParamValue;
    }

    
}
