/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.user.ui.action;

import org.wso2.solutions.identity.admin.RegisteredInfoCardInfoAdmin;
import org.wso2.solutions.identity.sts.IdentityProviderUtil;
import org.wso2.solutions.identity.user.ui.UIConstants;

import java.util.Map;

import com.opensymphony.xwork2.ActionContext;


public class RemoveRegisteredInfoCardAction extends ManagedAction {

    private static final long serialVersionUID = -7542570335250072135L;

    private String ppid;
    
    public String execute() throws Exception {
        RegisteredInfoCardInfoAdmin admin = new RegisteredInfoCardInfoAdmin();
        //check whether a user is trying to remove the card that he/she registered with
        String ppidDisplayValue = IdentityProviderUtil.getPPIDDisplayValue(ppid);
        
        ActionContext context = ActionContext.getContext();
        Map session = context.getSession();
        String user = (String) session.get(UIConstants.USER);
        if(user.equals(ppidDisplayValue)) {
            addErrorMessage("You cannot remove the information card used to " +
            		"create your account");
            return ERROR;
        }
        admin.removeRegisteredInfoCard(ppid);
        
        addInfoMessage("Successfully removed registered information card : " + ppid);
        return SUCCESS;
    }

    public String getPpid() {
        return ppid;
    }

    public void setPpid(String ppid) {
        this.ppid = ppid;
    }

}
