/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package org.wso2.solutions.identity.user.ui.action;

import org.wso2.solutions.identity.admin.RelyingPartyAdmin;
import org.wso2.solutions.identity.user.ui.UIConstants;

import java.util.Map;

import com.opensymphony.xwork2.ActionContext;

public class RemoveRelyingPartyAction extends ManagedAction {

    private static final long serialVersionUID = 636026822150779012L;

    private String hostName;
    
    @Override
    public String execute() throws Exception {
        
        Map session = ActionContext.getContext().getSession();
        String user = (String) session.get(UIConstants.USER);
        
        RelyingPartyAdmin admin = new RelyingPartyAdmin();
        admin.removePersonalRelyingParty(user, hostName);
        
        return SUCCESS;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }
    
}
