/*
 * Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.user.ui.action;

import org.wso2.solutions.identity.admin.ClaimsAdmin;
import org.wso2.solutions.identity.admin.RegisteredInfoCardInfoAdmin;
import org.wso2.solutions.identity.admin.RelyingPartyAdmin;
import org.wso2.solutions.identity.persistence.dataobject.ClaimDO;
import org.wso2.solutions.identity.persistence.dataobject.UserPersonalRelyingPartyDO;
import org.wso2.solutions.identity.user.ui.UIConstants;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

import com.opensymphony.xwork2.ActionContext;

public class ShowMainAction extends ManagedAction {

    private static final long serialVersionUID = -420264928772655254L;

    private List personalRPs;

    private List claims;

    private List registeredInformationCards;

    public String execute() throws Exception {

        RelyingPartyAdmin admin = new RelyingPartyAdmin();

        Map session = ActionContext.getContext().getSession();
        String user = (String) session.get(UIConstants.USER);

        this.personalRPs = Arrays.asList((UserPersonalRelyingPartyDO[]) admin
                .getAllPersonalRelyingParties(user));

        ClaimsAdmin ClaimsAdmin = new ClaimsAdmin();
        ClaimDO[] claimDOs = ClaimsAdmin.getAllMappedEnabledClaims();
        this.claims = Arrays.asList((ClaimDO[]) claimDOs);

        RegisteredInfoCardInfoAdmin regCardInfoAdmin = new RegisteredInfoCardInfoAdmin();
        this.registeredInformationCards = regCardInfoAdmin
                .getAllRegisteredInfoCards(user);

        this.loadMessages();

        return SUCCESS;
    }

    public List getPersonalRPs() {
        return personalRPs;
    }

    public List getClaims() {
        return claims;
    }

    public List getRegisteredInformationCards() {
        return registeredInformationCards;
    }

}
