/*
 * Copyright 2004,2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.solutions.identity.user.ui.action;

import org.wso2.solutions.identity.admin.ClaimsAdmin;
import org.wso2.solutions.identity.persistence.dataobject.ClaimDO;

import java.util.ArrayList;
import java.util.List;

public class ShowUserRegistrationAction extends ManagedAction {

    private static final long serialVersionUID = 989738652983579280L;

    private List<ClaimDO> claims;
    
    
    @Override
    public String execute() throws Exception {
        //Get enabled claims
        ClaimsAdmin ClaimsAdmin = new ClaimsAdmin();
        ClaimDO[] claimDOs = ClaimsAdmin.getAllMappedEnabledClaims();
        claims = new ArrayList<ClaimDO>();
        for (int i = 0; i < claimDOs.length; i++) {
            if(claimDOs[i].isUserEditable()) {
                claims.add(claimDOs[i]);
            }
        }
        
        this.loadMessages();
        return SUCCESS;
    }

    public List getClaims() {
        return claims;
    }


}
